Subject: Urban Stormwater Management

From: [email-masked] (BairdStew)
Date: 16 Apr 1996 15:15:36 -0400

I am a third year graduate student in Landscape Architecture.  I am
writing my thesis on stormwater management concentrating specifically on
BMPs.  If anyone has any sources to recommend I would very much appretiate
them.

    Thank You
                                                                          
     Baird Stewart